Bug 431694 - Excesive usage of CPU
Summary: Excesive usage of CPU
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-06 15:54 UTC by Zdenek Kabelac
Modified: 2009-07-14 15:01 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:01:55 UTC


Attachments (Terms of Use)

Description Zdenek Kabelac 2008-02-06 15:54:42 UTC
Description of problem:

Recently I'm noticing quite high CPU usage the gnome-terminal - it's hitting top
position in my top - especially when I try things like playing audio.wav files
in mplayer with it's oneline update status (showing position in the played file).

Taking about 10% of CPU just to draw one line on 2.2GHz C2D CPU is quite some
power taken for nothing. Considering the xterm isn't visible doing the same
operation. And even for movies it consumes more then 2% of CPU (actually still
more than the decompression of the movie by mplayer)

Unsure whether this is problem of Xserver (EXA) rendering or somewhere else ?


Version-Release number of selected component (if applicable):
gnome-terminal-2.21.90-1.fc9.x86_64

How reproducible:
For me the following steps are enough

Steps to Reproduce:
1. open gnome-terminal
2. run mplayer file.wav
3. watch top 
  
Actual results:


Expected results:


Additional info:

Comment 1 Bug Zapper 2008-05-14 05:01:51 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2009-06-09 23:30:24 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-07-14 15:01:55 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.